Distribution:	CCux
Packager:	Stefan Gottwald <sg3881@web.de>

Summary:	Nessus Attack Scripting Language
Name:		libnasl
Version:	2.3.1
Release:	2
Group:		System/Libraries
License:	GPL
Source:		libnasl-2.3.0.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
BuildRequires:	nessus-libraries-devel
Requires:	nessus-libraries

%description
Nessus Attack Scripting Language

%package devel
Summary: 	libnasl development headers.
Group:     	System/Libraries
Requires: 	libnasl = %{version}-%{release}

%description devel
Header and include files for developing applications with libnasl.

%prep
%setup -n %name

%build
./configure --prefix=%_prefix --mandir=%_mandir --sysconfdir=%_sysconfdir \
     --localstatedir=%_localstatedir
make -C nasl cflags
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
#Stripping debug Symbols
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING 
/usr/lib/libnasl.so.2.3.0
/usr/bin/nasl
/usr/share/man/man1/nasl.1.gz
/usr/share/man/man1/nasl-config.1.gz
/var/nessus/nessus_org.pem
/usr/lib/libnasl.so.2

%files devel
%defattr(-,root,root)
/usr/bin/nasl-config
/usr/lib/libnasl.so
/usr/lib/libnasl.la
/usr/lib/libnasl.a
/usr/include/nessus/nasl.h

%changelog
* Sun Jul 25 2005 Christian Metzen <metzench@ccux-linux.de> 2.3.1-2
- Moved more files to devel package
* Sun Jul 10 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 2.3.1-1
- Version Update
* Mon May 23 2005 Christian Metzen <metzench@ccux-linux.de> 2.3.0-2
- Tweaked Spec File, added new Summary, description, changelog, splitted devel Package
* Wed Mar 18 2005 Stefan Gottwald <sg3881@web.de> 2.3.0-1
- Initial Build